Error loading the .NET runtime. This may be because required .NET assemblies are on a network share for which the .NET Framework security policy is set to less than Full Trust. (14081)

When running reports and exports the error, "Error loading the .NET runtime. This may be because required .NET assemblies are on a network share for which the .NET Framework security policy is set to less than Full Trust. (14081)" can occur.

This most commonly occurs on Windows 10 machines.


 
The Windows update seems to be uninstalling the legacy version of Microsoft .NET after installing the latest version 4.X.  FIMS requires the older legacy version Microsoft .NET v2.0.50727.

You can verify by: in File Explorer, browse to ‘C:\Windows\Microsoft.NET\Framework\v2.0.50727’ and this folder may not exist or be empty.

1. If you find that .Net v2.0 is not installed, you can reinstall this version in File Explorer, browse to N:\dlc\install\3party and run dotnetfx.exe.  Close the install window when complete.


2. Then do the following:

Open a command prompt and run as administrator.  (Start > All Programs > Accessories > Command Prompt, aka. cmd )

Type: N:

If you receive an error, type: net use n: \\server-name\npo   {server-name} = the name of the FIMS server.

Type: N:

Type: cd\found\fims\tools

Type: reports.bat n:\dlc\bin\* n:\found\assemblies\* reports.log

Type: type reports.log

 

If you see the message “Added union code group with “-url” membership condition to the Machine level. Success then the errors should be resolved.  Close the command prompt window.

Environment

 FIMS

Was this article helpful?